/*-------------------------------------------------------------
 *  Copyright (c) 2010-2011, MSS ComBlock. All rights reserved.
 *
 * 	Filename: utils.h
 *  Last modified: 9/27/11
 *  Authors:
 *  	Alain Zarembowitch / MSS ComBlock
 *  Version: 2
 *  Inheritance: N/A
 *  Description: Utilities for ARM Cortex-M3 LPC17xx
 *  Dependencies/Pre-requisite: N/A
 *
 *  Rev 2 9/27/11 AZ
 *  Added USB_Connect()
 -------------------------------------------------------------*/
#ifndef UTILS_H_
#define UTILS_H_

/*-------- change this section according to the schematics ----------------------------------------*/
#define PIN_USB_CONNECTB_H() FIO1SET = 0x00040000;    	// port1[18]

#define PIN_USB_CONNECTB_L() FIO1CLR = 0x00040000;    	// port1[18]
/*-------- end of schematics-dependent code ----------------------------------------*/

extern long JP1val;	// Jumper JP1 position 0(none), 12 or 23. Call JP1_jumper() to assess

// function prototypes
extern void power_en(char);	// enable / disable main power.
extern unsigned char power_status(void);	// power supplies check
extern void delay_ms(unsigned long);	// delay in ms
extern void delay_ns(unsigned long);	// delay in ns
extern void sendLine(long);	// dispatch txLine to one of four possible output ports
extern void forwardLine(void);  // forward rx message in rxLine to other intended recipients
extern int dispatchLine(void);
extern unsigned char hex2bin(char istring[2]);
extern void char2hex(unsigned char, char * );
extern void toggle1(int);
extern void toggle2(int);
extern long get_JP1val(void);
extern void assess_JP1(void);
extern void USB_Connect (unsigned long);

#endif /* UTILS_H_ */
